<!DOCTYPE html>
<html lang="en" xmlns:th = "http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- SEO Meta Tags -->
    <meta name="description" content="Create a stylish landing page for your business startup and get leads for the offered services with this HTML landing page template.">
    <meta name="author" content="Inovatik">

    <!-- OG Meta Tags to improve the way the post looks when you share the page on LinkedIn, Facebook, Google+ -->
    <meta property="og:site_name" content="" /> <!-- website name -->
    <meta property="og:site" content="" /> <!-- website link -->
    <meta property="og:title" content=""/> <!-- title shown in the actual shared post -->
    <meta property="og:description" content="" /> <!-- description shown in the actual shared post -->
    <meta property="og:image" content="" /> <!-- image link, make sure it's jpg -->
    <meta property="og:url" content="" /> <!-- where do you want your post to link to -->
    <meta property="og:type" content="article" />

    <!-- Website Title -->
    <title>SafetyCar</title>

    <!-- Styles -->
    <link  href="https://fonts.googleapis.com/css?family=Raleway:400,400i,600,700,700i&amp;subset=latin-ext" rel="stylesheet">
    <link th:href="@{/css/bootstrap.css}" href="../static/css/bootstrap.css" rel="stylesheet">
    <link th:href="@{/css/fontawesome-all.css}"  href="../static/css/fontawesome-all.css" rel="stylesheet">
    <link th:href="@{/css/swiper.css}" href="../static/css/swiper.css" rel="stylesheet">
    <link th:href="@{/css/magnific-popup.css}" href="../static/css/magnific-popup.css" rel="stylesheet">
    <link th:href="@{/css/styles.css}" href="../static/css/styles.css" rel="stylesheet">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" th:href="@{https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css}" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

    <!-- Compiled and minified JavaScript -->
    <script th:href="@{https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js}" src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>


    <!-- needet for the Date Picker-->
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/js/bootstrap-datepicker.min.js"></script>
    <!--    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.4.1/css/bootstrap-datepicker3.css"/>-->
    <link rel="stylesheet" th:href="@{/css/bootstrap-datepicker3.css}" href="../static/css/bootstrap-datepicker3.css"/>
    <!--<link href="jquery.datetimepicker.min.css" rel= "stylesheet"/>-->
    <!-- <link href="css/mdb.min.css" rel="stylesheet"> -->


    <!-- Favicon  -->
    <link rel="icon" th:href="@{/images/favicon.png}" href="../static/images/favicon.png">
</head>
<body data-spy="scroll" data-target=".fixed-top">

<!-- Preloader -->
<div class="spinner-wrapper">
    <div class="spinner">
        <div class="bounce1"></div>
        <div class="bounce2"></div>
        <div class="bounce3"></div>
    </div>
</div>
<!-- end of preloader -->


<!-- Navigation -->
<nav th:replace="fragments/navbar-short.html :: navig-bar-short"></nav>
<!-- end of navigation -->


<!-- Header -->
<header id="header" class="header">
    <div class="header-content">
        <div class="container">
            <div class="row">
                <div class="col-lg-6-policybg">
                    <div class="text-container2">
                        <h1><span class="turquoise">Edit Your Policy</span></h1>

                        </label>

                        <!-- start of FORM -->
                        <form th:action="@{/create-policy/edit/__${createPolicyDto.id}__}" th:object="${createPolicyDto}" enctype="multipart/form-data"  method="post" >

                            <div class="form-group">
                                <select th:field="*{carBrand}" class="form-control-select-50percent" id="brand" required>
                                    <option class="select-option" value="0" disabled >Car brand</option>
                                    <option th:each="carBrand : ${brandsAndModels.keySet()}" th:value="${carBrand}"
                                            th:text="${carBrand}" class="select-option" value="Personal Loan">
                                        AUDI
                                    </option>

                                </select>
                                <select th:field="*{carModel}"  class="form-control-select-50percent" id="model" required>
                                    <option class="select-option" value="0" disabled>Car Model</option>
                                </select>
                                <div class="help-block with-errors"></div>
                            </div>
                            <label class="error"
                                   th:text="${errorMsg}">ErrorMessage</label>
                            <label>
                                <div class="form-group">
                                    <label for="datepickerYears">Car First Registration Year</label>
                                    <input th:field="*{carFirstReg}" class="form-control-input" type="number"
                                           id="datepickerYears" name="firstRegDate" placeholder="First Registration Date" required min="1000" max="2020">
                                    <script>
                                        $("#datepickerYears").datepicker({
                                            format: "yyyy",
                                            viewMode: "years",
                                            minViewMode: "years"
                                        });
                                    </script>
                                    <div class="help-block with-errors"></div>
                                </div>

                                <div class="form-group">
                                    <!-- <input type="text" class="form-control-input" id="cubicPower" name="cubicPower" required>-->
                                    <!-- <label class="label-control" for="cubicPower">Cubic Power</label>-->
                                    <label for="cubicCapacity">Cubic Capacity</label>
                                    <input th:field="*{cubicCapacity}" class="form-control-input" type="number"  min="0" max="999999"
                                           id="cubicCapacity" name="cubicCapacity" placeholder="Enter Cubic Capacity Of Your Car" required >
                                    <div class="help-block with-errors"></div>
                                </div>

                                <!--                            <div class="form-group">-->
                                <!--                                <div class="md-form md-outline input-with-post-icon datepicker">-->
                                <!--                                    <label for="example">Date Of Birth</label>-->
                                <!--                                    <input th:field="*{driverBirthday}" placeholder="Date of Birth" type="date" id="example" class="form-control">-->
                                <!--                                </div>-->
                                <!--                            </div>-->
                                <div class="form-group">
                                    <label for="datepickerbd">Your birthday</label>
                                    <!--                                <input th:field="*{driverBirthday}" class="form-control-input" type="text" id="datepickerbd"-->
                                    <!--                                       name="dateOfBirth" placeholder="Date Of Birth" required>-->
                                    <input th:field="*{driverBirthday}"  class="form-control-input" type="date" id="datepickerbd" required
                                           name="dateOfBirth" placeholder="Date Of Birth">
                                    <div class="help-block with-errors"></div>
                                </div>
                                <script>
                                    var today = new Date();
                                    var dd = today.getDate();
                                    var mm = today.getMonth() + 1;
                                    var yyyy = today.getFullYear() -18;
                                    if (dd < 10) {
                                        dd = '0' + dd
                                    }
                                    if (mm < 10) {
                                        mm = '0' + mm
                                    }
                                    today = yyyy + '-' + mm + '-' + dd;
                                    document.getElementById("datepickerbd").setAttribute("max", today);
                                </script>
                                <!--                            <script>-->
                                <!--                                $('#datepickerbd').datepicker({-->
                                <!--                                    uiLibrary: 'bootstrap'-->
                                <!--                                });-->
                                <!--                            </script>-->



                                <div class="form-group">
                                    <label for="datepickerPolicyStart">Policy Start Date</label>
                                    <!--                                <input th:field="*{startDate}"  class="form-control-input" type="date" id="datepicker8"-->
                                    <!--                                       name="dateOfBirth" placeholder="The starting date you would like your policy to be available">-->
                                    <input th:field="*{startDate}"  class="form-control-input"  type="date" id="datepickerPolicyStart" required
                                           name="dateOfBirth" placeholder="Date Of Birth">
                                    <div class="help-block with-errors"></div>
                                </div>
                                <script>
                                    var today = new Date();
                                    var dd = today.getDate();
                                    var mm = today.getMonth() + 1;
                                    var yyyy = today.getFullYear();
                                    if (dd < 10) {
                                        dd = '0' + dd
                                    }
                                    if (mm < 10) {
                                        mm = '0' + mm
                                    }
                                    today = yyyy + '-' + mm + '-' + dd;
                                    document.getElementById("datepickerPolicyStart").setAttribute("min", today);
                                </script>


                                <div class="form-group">
                                    <div class="md-form md-outline">
                                        <label for="default-picker">Policy Starting Time</label>
                                        <input th:field="*{startTime}" type="time" id="default-picker" class="form-control" placeholder="Select time"  value="00:00:00" required>
                                    </div>
                                    <div class="help-block with-errors"></div>
                                </div>

                                <div class="form-group">
                                    <label for="rselect1">Payment Type</label>
                                    <select th:field="*{paymentTypeId}" class="form-control-select" id="rselect1" required>

                                        <option th:each="paymentType : ${paymentTypes}" th:value="${paymentType.id}"
                                                th:text="${paymentType.paymentType}" class="select-option" value="Payment Type">once
                                        </option>

                                    </select>
                                </div>

                                <!--                            MAT DESIGN INPUT FILES-->

<!--                                <div class="file-field">-->
<!--                                    <div class="btn btn-primary btn-sm float-left">-->
<!--                                        <span>Choose file</span>-->
<!--                                        <input type="file" name="image" accept="image/png, image/jpeg" >-->
<!--                                    </div>-->
<!--                                    <div class="file-path-wrapper">-->
<!--                                        <input class="file-path validate" type="text" placeholder="copy of your car reg certificate">-->
<!--                                    </div>-->
<!--                                </div>-->




                                <div class="form-group">
                                    <label for="rselect1">Did you had any accidents in the previous year</label>
                                    <select th:field="*{accidents}" class="form-control-select" id="rselect1" required>

                                        <option th:value="${true}"
                                                class="select-option" >Yes
                                        </option>
                                        <option th:value="${false}"
                                                class="select-option" >No
                                        </option>

                                    </select>
                                </div>

                                <label>
                                    <input  type="checkbox" class="filled-in" required  />
                                    <span>I agree
                                with SafetyCar stated <a th:href="@{privacy-policy}" href="privacy-policy.html">Privacy Policy</a> and <a th:href="@{terms-conditions}"
                                                                                                                                          href="terms-conditions.html">Terms & Conditions</a></span>
                                </label>


                                <div class="form-group">
                                    <button type="submit" class="form-control-submit-button">REQUEST</button>
                                </div>
                                <div class="form-message">
                                    <div id="rmsgSubmit" class="h3 text-center hidden"></div>
                                </div>
                        </form>
                        <!-- end of FORM -->


                    </div> <!-- end of text-container -->
                </div> <!-- end of col -->
                <div class="col-lg-6">
                    <div class="image-container">
                        <img class="img-fluid" th:src="@{/images/header-teamwork2.png}" src="../static/images/header-teamwork2.png" alt="alternative">
                    </div> <!-- end of image-container -->
                </div> <!-- end of col -->
            </div> <!-- end of row -->
        </div> <!-- end of container -->
    </div> <!-- end of header-content -->
</header> <!-- end of header -->
<!-- end of header -->




<!-- Scripts -->
<script th:src = "@{/js/jquery.min.js}" src="../static/js/jquery.min.js"></script> <!-- jQuery for Bootstrap's JavaScript plugins -->
<script th:src = "@{/js/popper.min.js}" src="../static/js/popper.min.js"></script> <!-- Popper tooltip library for Bootstrap -->
<script th:src = "@{/js/bootstrap.min.js}" src="../static/js/bootstrap.min.js"></script> <!-- Bootstrap framework -->
<script th:src = "@{/js/jquery.easing.min.js}" src="../static/js/jquery.easing.min.js"></script> <!-- jQuery Easing for smooth scrolling between anchors -->
<script th:src = "@{/js/swiper.min.js}" src="../static/js/swiper.min.js"></script> <!-- Swiper for image and text sliders -->
<script th:src = "@{/js/jquery.magnific-popup.js}" src="../static/js/jquery.magnific-popup.js"></script> <!-- Magnific Popup for lightboxes -->
<script th:src = "@{/js/validator.min.js}" src="../static/js/validator.min.js"></script> <!-- Validator.js - Bootstrap plugin that validates forms -->
<script th:src = "@{/js/scripts.js}" src="../static/js/scripts.js"></script> <!-- Custom scripts -->
<script th:src = "@{/js/mdb.min.js}" type="text/javascript" src="../static/js/mdb.min.js"></script>

</body>
</html>